<?xml version="1.0"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy toplevel-contextual -->
  <object class="GtkDialog" id="agent-cache">
    <property name="visible">True</property>
    <property name="title" translatable="yes">Cached Encryption Keys</property>
    <property name="window_position">center</property>
    <property name="default_width">380</property>
    <property name="default_height">250</property>
    <property name="type_hint">normal</property>
    <property name="skip_taskbar_hint">True</property>
    <property name="has_separator">False</property>
    <child internal-child="vbox">
      <object class="GtkVBox" id="dialog-vbox1">
        <property name="visible">True</property>
        <child>
          <object class="GtkVBox" id="vbox1">
            <property name="visible">True</property>
            <property name="border_width">12</property>
            <property name="spacing">12</property>
            <child>
              <object class="GtkScrolledWindow" id="scrolledwindow1">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="hscrollbar_policy">automatic</property>
                <property name="vscrollbar_policy">automatic</property>
                <child>
                  <object class="GtkTreeView" id="key_list">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="border_width">3</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkVBox" id="vbox2">
                <property name="visible">True</property>
                <child>
                  <object class="GtkLabel" id="insecure_label">
                    <property name="can_focus">True</property>
                    <property name="xalign">0</property>
                    <property name="yalign">0</property>
                    <property name="label" translatable="yes">&lt;b&gt;Warning&lt;/b&gt;: Your system is not configured to cache passphrases in secure memory.</property>
                    <property name="use_markup">True</property>
                    <property name="wrap">True</property>
                    <property name="selectable">True</property>
                  </object>
                  <packing>
                    <property name="position">0</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="pack_type">end</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="pack_type">end</property>
            <property name="position">1</property>
          </packing>
        </child>
        <child internal-child="action_area">
          <object class="GtkHButtonBox" id="dialog-action_area1">
            <property name="visible">True</property>
            <property name="layout_style">end</property>
            <child>
              <object class="GtkButton" id="clear_button">
                <property name="label">gtk-clear</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
                <signal name="clicked" handler="clear_clicked"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="close_button">
                <property name="label">gtk-close</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="has_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
                <accelerator key="Escape" signal="clicked"/>
                <signal name="clicked" handler="close_clicked"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="pack_type">end</property>
            <property name="position">0</property>
          </packing>
        </child>
      </object>
    </child>
    <action-widgets>
      <action-widget response="-5">clear_button</action-widget>
      <action-widget response="-5">close_button</action-widget>
    </action-widgets>
  </object>
  <object class="GtkMenu" id="context-menu">
    <child>
      <object class="GtkImageMenuItem" id="clear_cache">
        <property name="label">_Clear Cache</property>
        <property name="visible">True</property>
        <property name="use_underline">True</property>
        <property name="use_stock">True</property>
        <signal name="activate" handler="on_clear_cache_activate"/>
      </object>
    </child>
    <child>
      <object class="GtkMenuItem" id="show_window">
        <property name="visible">True</property>
        <property name="label" translatable="yes">_Show Window</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_show_window_activate"/>
      </object>
    </child>
    <child>
      <object class="GtkSeparatorMenuItem" id="separator1">
        <property name="visible">True</property>
      </object>
    </child>
    <child>
      <object class="GtkImageMenuItem" id="cache_settings">
        <property name="label">Cache _Preferences</property>
        <property name="visible">True</property>
        <property name="use_underline">True</property>
        <property name="use_stock">True</property>
        <signal name="activate" handler="on_settings_activate"/>
      </object>
    </child>
  </object>
</interface>
